﻿@model List<UDF_ARGNS>
@{
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}



    <div class="panel panel-default">
        <div class="panel-body">
            <div>
                <div>
                    <div class="table-responsive responsive table_cart" id="TableListItems">
                        <table id="assets-data-table-ListItems" class="table display" style="width:100%;"></table>
                        <script type="text/javascript">
                        var assetListVM_ListItems;
                        $(function () {
                            assetListVM_ListItems = {
                                dt: null,
                                init: function () {
                                    this.dt = $('#assets-data-table-ListItems').DataTable({
                                        "autoWidth": true,
                                        "serverSide": true,
                                        "processing": true,
                                        "data": null,
                                        "dom": '<"top"lp>rt<"bottom"ip>',
                                        "order": [[ 1, "asc" ]],
                                        "ajax": {
                                            "url": "/Sales/QuickOrder/ListItemQuickOrder",
                                            "type": 'POST',
                                            "data": function (data) {
                                                var mListSearchUDF = $("input[id^=SearchItemUDF_]");
                                                var mListSearchUDFSelect = $("select[id^=SearchItemUDF_]");
                                                var mMappedUDFList = [];
                                                for (i = 0; i < mListSearchUDF.length; i++) {
                                                    mMappedUDFList.push({
                                                        UDFName: mListSearchUDF[i].id.substring(14),
                                                        Value: $("#" + mListSearchUDF[i].id).val(),
                                                    });
                                                }
                                                for (i = 0; i < mListSearchUDFSelect.length; i++) {
                                                    mMappedUDFList.push({
                                                        UDFName: mListSearchUDFSelect[i].id.substring(14),
                                                        Value: $("#" + mListSearchUDFSelect[i].id).val(),
                                                    });
                                                }
                                                data.pMappedUdf = mMappedUDFList;
                                                data.pItemGroupCode = $('#ItemGroup').val();
                                                data.pItemCode = $("#UDF_Code").val();
                                                data.pItemName = $("#UDF_Name").val();
                                                data.pTilesSearchCk = $('#TilesSearchCk').is(':checked');
                                                data.pDoubleTilesSearchCk = $('#DoubleTilesSearchCk').is(':checked');
                                                data.pColumnRadio = $('input[name=ColumnRadio]:checked').val();
                                                data.pFirstDoubleSearch = mFirstDoubleSearch;
                                                data.pNoItemsWithZeroStockCk = $('#NoItemsWithZeroStockCk').is(':checked');
                                                data.pNoItemsWithZeroStockCk = $('#NoItemsWithZeroStockCk').is(':checked');
                                                data.pNoItemsWithZeroStockCk = $('#NoItemsWithZeroStockCk').is(':checked');
                                                data.pSupplierCardCode = $('#txtCodeBP').val();
                                                data.pCardCode = $('#txtCodeCustomer').val();
                                            }
                                        },
                                        "columns": [
                                            {
                                                "title": "@QuickOrder.Picture", "data": "PicturName", "orderable": false, "name": "PicturName",
                                                "render": function (data, type, full, meta) {
                                                    if(data != "")
                                                    {
                                                        return "<a href=\"../../images/" + data + "\" class=\"thumb\"><img width=\"80px\" src=\"../../images/" + data + "\" /></a>";
                                                    }
                                                    else
                                                    {
                                                        return "<a href=\"~/Content/img/noimage.gif\" class=\"thumb\"><img width=\"80px\" src=\"~/Content/img/noimage.gif\" /></a>";
                                                    }
                                                }
                                            },
                                            { "title": "@QuickOrder.IC", "data": "ItemCode", "name": "ItemCode" },
                                            { "title": "@QuickOrder.TID", "data": "ItemName", "name": "ItemName" },
                                            {
                                                "title": "@QuickOrder.IPR", "data": null, "orderable": false, "name": "Price",
                                                "render": function (data, type, full, meta) {
                                                    var mUOMObj = data.UnitOfMeasureList.filter(function (mUOM) { return mUOM.LineNum == 1; });
                                                    var mItemPriceObj = data.ItemPrices.filter(function (mItemPrice) { return mItemPrice.UOMCode == mUOMObj[0].UomEntry; });
                                                    return (mItemPriceObj[0] != null ? mItemPriceObj[0].Currency + " " + mItemPriceObj[0].Price : "");
                                                }
                                            },
                                            {
                                                "title": "@QuickOrder.CP", "data": null, "orderable": false, "name": "CostPrice",
                                                "render": function (data, type, full, meta) {
                                                    return (data.CostPriceList != null ? data.CostPriceCurrency + " " + data.CostPrice : "");
                                                }
                                            },
                                            {
                                                "title": "ATP", "data": "ItemCode", "orderable": false, "name": "ATP",
                                                "render": function (data, type, full, meta) {
                                                    return "<a onclick=\"GetStock('" + data + "')\" class=\"btn btn-default btn-lg\">ATP</a>";
                                                }
                                            },
                                            {
                                                "title": "@QuickOrder.IS", "data": null, "orderable": false, "name": "Stock",
                                                "render": function (data, type, full, meta) {
                                                    return (data.Stock != null ? data.Stock.Available : "");
                                                }
                                            },
                                            {
                                                "title": "@QuickOrder.QTY", "data": "ItemCode", "orderable": false, "name": "QTY",
                                                "render": function (data, type, full, meta) {
                                                    return "<input id=\"qty_" + data + "\" type=\"number\" min=\"1\" class=\"form-control\" value=\"1\" aria-invalid=\"false\" style=\"width:60px;\">";
                                                }
                                            },
                                            { "title": "@QuickOrder.IIG", "data": "ItmsGrpNam", "name": "ItmsGrpNam" },
                                            { "title": "@QuickOrder.BPN", "data": "CardName", "name": "CardName" },
                                            {
                                                "title": "@QuickOrder.ATO", "data": "ItemCode", "orderable": false, "name": "ATO",
                                                "render": function (data, type, full, meta) {
                                                    return "<button onclick=\"addtoCart('" + data + "')\" class=\"btn btn-success btn-sm\"><span class=\"fa fa-plus-circle\"></span>@QuickOrder.ATO</button>";
                                                }
                                            },
                                            {
                                                "title": "@QuickOrder.IM", "data": "ItemCode", "width": "110px", "orderable": false, "name": "ItemMaster",
                                                "render": function (data, type, full, meta) {
                                                    var mReturnValue = "";
                                                    if(@_View.ToString().ToLower() == true)
                                                    {
                                                        mReturnValue += "<a target=\"_blank\" href=\"/MasterData/MasterData/ActionItemMaster?pActionItemMaster=View&pItemCode=" + data + "\" class=\"btn btn-default btn-lg\"><span class=\"glyphicon glyphicon-eye-open\"></span></a>";
                                                    }
                                                    return mReturnValue;
                                                }
                                            }
                                            @if (Model.Count > 0)
                                            {
                                                foreach (var DictRow in Model)
                                                {
                                                    @:, { "title": "@DictRow.UDFDesc", "data": null, "name": "@DictRow.UDFName", "render": function (data, type, full, meta) { var mUDFObj = data.MappedUdf.filter(function (mUDF) { return mUDF.UDFName == "@DictRow.UDFName"; }); if (mUDFObj[0].Value != null) { if (mUDFObj[0].ListUFD1.length > 0) { var mUDF1Obj = mUDFObj[0].ListUFD1.filter(function (mUDF1) { return mUDF1.FldValue == mUDFObj[0].Value; }); return mUDF1Obj[0].Descr; } else { return mUDFObj[0].Value; } } else { return mUDFObj[0].Value; } } }
                                                }
                                            }
                                        ],
                                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                        language: {
                                            processing: "@DataTables.Processing",
                                            lengthMenu: "@DataTables.Show _MENU_ @DataTables.Entries",
                                            info: "@DataTables.Showing _START_ @DataTables.To _END_ @DataTables.Of _TOTAL_ @DataTables.Entries",
                                            paginate: {
                                                previous: "@DataTables.Previous",
                                                next: "@DataTables.Next"
                                            }
                                        },
                                    });
                                },
                                refresh: function () {
                                    this.dt.ajax.reload();
                                }
                            }
                        });
                        </script>
                        <script type="text/javascript">
                        function GetStock(item) {
                            $.ajax({
                                url: '/Sales/SalesOrder/GetItemStock',
                                contextType: 'application/html;charset=utf-8',
                                data: { ItemCode: item },
                                async: true,
                                type: 'POST',
                                dataType: 'html'
                            }).done(function (data) {
                                alertify.alert(data);
                            });
                        }
                        </script>
                        <script>
                        $('a.thumb').click(function (event) {
                            event.preventDefault();
                            var content = $('#ImgModalBody');
                            content.empty();
                            content.html($(this).html());
                            $(".modal-profile").modal({ show: true });
                        });
                        </script>
                        <!-- .modal-profile -->
                        <div class="modal fade modal-profile zomimage" tabindex="-1" role="dialog" aria-labelledby="modalProfile" aria-hidden="true">
                            <div class="modal-dialog modal-lg">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        Images
                                        <button class="close" type="button" data-dismiss="modal">×</button>
                                    </div>
                                    <div class="modal-body" id="ImgModalBody">
                                    </div>
                                    <div class="modal-footer">
                                        <button class="btn btn-default" data-dismiss="modal">Close</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- //.modal-profile -->
                    </div>
                </div>
            </div>
        </div>
    </div>



